Subject: ioctl calls with latest coolview
From: [email-masked] (Ian Collins)

13 Nov 1997 14:19:55 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain
To: "[email-masked]'" <[email-masked]>

I had a little test program that uses ioctl to set a terminal into raw
mode.
It has always worked fine until I installed the latest coolview from
Sergeys page.
It now calls the TCGETA fail (see below).
After backing off to a previous version of coolview, it again works ok.

Has anyone seen this behaviour? Any ideas?

The C code is thus, (I know you don't need all the includes. It was
taken from a larger program),

#include <stdio.h>
#include <string.h>
#include <ctype.h>
#include <fcntl.h>
#include <unistd.h>
#include <pwd.h>
#include <termio.h>
static struct termio tbufsave;
main()
{
  struct termio tbuf;
  
  if (ioctl(0, TCGETA, &tbuf) == -1){
    perror("kwrawmd: ioctl (TCGETA) fail ");
    exit(1);
  }
  else {
    printf("kwrawmd ok\n");
      }
  tbufsave = tbuf;
}

Ian Collins. 
KIWIPLAN NZ.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".